using System;
using System.Collections;
using Spring.Data.NHibernate.Support;
using SpringHiberate.dao.model;

namespace SpringHiberate.dao
{
	public class UserDao : HibernateDaoSupport
	{
		public void Save(User user){
			HibernateTemplate.Save(user);
		}

		public void Delete(User user){
			HibernateTemplate.Delete(user);
		}

		public void Update(User user) {
			HibernateTemplate.Update(user);
		}

		public IList FindAll()
		{
			return HibernateTemplate.LoadAll(typeof(User));
		}

		public User Find(Object ID)
		{
			return (User)HibernateTemplate.Load(typeof(User), ID);
		}
	}
}
